Discuz!X3.4应用中心安装任意的插件或者模板提示“数据无法识别,请返回”的解决办法

1624614641-875525ef02f125e
在Discuz应用中心安装任意的插件或者模板提示“数据无法识别,请返回”

可能原因一:应用中心启用HTTPS后出现

解决办法:

第一步:X3及以下版本的用户下载补丁 ,解压 addon_https_patch
把 upload 目录下的文件覆盖到论坛文件。大于X3的论坛,比如X3.2、X3.4直接进行第二步操作。

第二步:下载测试文件 https_test,解压,把 https_test.php 上传到论坛根目录,通过浏览器访问 http://你的网站/https_test.php,按提示操作

PS:要完整体验 https 下的应用中心,首先要求 PHP 环境 5.3 以上,太老的 PHP 版本请自行升级
  然后,可修改 source/function/function_cloudaddons.php 文件,把所有的 “http://” 替换为 “https://
(注意是把 “http://” 替换为 “https://”,而不是 “http” 替换为 “https”,代码里有其他http内容)

可能原因二:你的服务器请求应用中心超时

香港等地区的服务器请求应用中心一般速度很慢,容易超时

尝试调高超时时间
打开 source\admincp\admincp_cloudaddons.php
找到

  1. cloudaddons_open(‘&mod=app&ac=download&rid=’.$_GET[‘rid’].’&packnum=’.$packnum);

复制代码

修改为

  1. cloudaddons_open(‘&mod=app&ac=download&rid=’.$_GET[‘rid’].’&packnum=’.$packnum, ”, 60);

复制代码

不行的话,把数字 60 再改大点,比如 999

或者打开 source\function\function_cloudaddons.php
找到

  1. $timeout = 15

复制代码

把数字15改大点,比如60,不行的话再改大点,比如 999

可能原因三:你的服务器PHP环境有问题

虚拟主机直接在主机管理里切换PHP版本
云服务器或VPS,有安装宝塔等主机管理软件的,在管理软件里切换PHP版本
不支持直接切换的,自己重新安装配置PHP环境
X3.4支持 PHP5.3、PHP5.4、PHP5.5、PHP5.6、PHP7

可能原因四:你的服务器请求不了应用中心(或者网速慢

应用中心有多个IP,可尝试切换IP测试
打开 source\function\function_cloudaddons.php
找到

  1. ‘download_ip’ => ”,

复制代码

  1. ‘check_ip’ => ”,

复制代码

分别加上IP,比如

  1. ‘download_ip’ => ‘203.205.136.55’,

复制代码

  1. ‘check_ip’ => ‘203.205.136.55’,

复制代码

应用中心IP具体自己用工具ping,找到自己服务器所在地区延迟最低的IP:
http://ping.chinaz.com/addon.dismall.com

其他用户提供的教程
解决香港服务器下载应用提示“数据无法识别,请返回”
https://www.dismall.com/thread-2692-1-1.html

本站所有资源版权均属于原作者所有,这里所提供资源均只能用于参考学习用,请勿直接商用。若由于商用引起版权纠纷,一切责任均由使用者承担。更多说明请参考 VIP介绍。

最常见的情况是下载不完整: 可对比下载完压缩包的与网盘上的容量,若小于网盘提示的容量则是这个原因。这是浏览器下载的bug,建议用百度网盘软件或迅雷下载。 若排除这种情况,可在对应资源底部留言,或联络我们。

对于会员专享、整站源码、程序插件、网站模板、网页模版等类型的素材,文章内用于介绍的图片通常并不包含在对应可供下载素材包内。这些相关商业图片需另外购买,且本站不负责(也没有办法)找到出处。 同样地一些字体文件也是这种情况,但部分素材会在素材包内有一份字体下载链接清单。

如果您已经成功付款但是网站没有弹出成功提示,请联系站长提供付款信息为您处理

源码素材属于虚拟商品,具有可复制性,可传播性,一旦授予,不接受任何形式的退款、换货要求。请您在购买获取之前确认好 是您所需要的资源